/* //////////////////////////////////////////////////////////////////// Global defaults */
* {
    box-sizing: border-box;
}
body {
    font-size: 0px;
    padding: 0px;
    margin: 0px;
    font-family: 'Raleway', sans-serif;
    max-width: 1400px;
    min-width: 280px;
}

/* /////////////////////////////////////////////////////////////////////// Color scheme */

/* Dark */
.dark  {background-color: #131313;}
.dark,
.dark div.titlecard.dark nav a,
.dark div.social i {color: white;}
.dark div.column.form > div  {background-color: #222;}
.dark form.contact input[type=submit]       {
    color: white;
    background-color: #a62;
}
.dark form.contact input[type=submit]:hover {background-color: #841;}

/* Light */
.light {background-color: #fefefe;}
.light,
.light div.titlecard.light nav a,
.light div.social i {color: black;}
.light div.column.form > div {background-color: #e5e5e5;}
.light form.contact input[type=submit]       {
    color: white;
    background-color: #c84;
}
.light form.contact input[type=submit]:hover {background-color: #a62;}

/* ///////////////////////////////////////////////////////////////////////////// Slides */
div.slide {width: 100%;}
div.background {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
}
div.slide > div.titlebar {
    font-size: 22px;
    text-align: center;
    padding-bottom: 20px;
}
div.slide.paralax {
    height: 80vh;
    overflow: hidden;
    background-attachment: fixed;
    background-size: cover;
}
div.slide.text {
    padding: 60px 0px;
    position: relative;
}
div.slide p {
    font-size: 13px;
    padding: 0px 60px 20px 60px;
    line-height: 25px;
    word-spacing: 3px;
}

/* Titlecard */
div.slide.titlecard {
    text-align: center;
    height: 100vh;
    position: relative;
}
div.slide.titlecard > div.background {
    background: url(../img/stock/trio-bw.jpg);
    opacity: 0.15;
    background-size: cover;
}
div.slide.titlecard > div.title {
    position: absolute;
    top: 50%;
    width: 100%;
}
div.slide.titlecard > div.title > div.logo {
    vertical-align: bottom;
}
div.slide.titlecard > div.title > div.logo > img {
    display: inline;
    height: 100%;
    width: 100%;
    margin-top: -10%;
}
div.slide.titlecard > div.title > div {
    display: inline-block;
    vertical-align: middle;
    font-family: 'Arizonia', cursive;
}

/* Navigation */
div.titlecard nav {
    display: block;
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
}
div.titlecard nav a {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    width: calc(100% / 4);
    text-align: center;
    opacity: 0.6;
    text-decoration: none;
}
div.titlecard nav a:hover {opacity: 1;}

/* ///////////////////////////////////////////////////////////////////// Social buttons */
div.social {
    position: absolute;
}
div.social i {
    opacity: 0.3;
    padding: 0px 10px;
}
div.social i:hover {opacity: 0.7;}

/* /////////////////////////////////////////////////////////////////////// Contact Form */
div.column {
    vertical-align: middle;
}
div.column.form {
    padding: 10px 30px 30px 30px;
}
div.column.form > div {
    width: 100%;
    border-radius: 10px;
    padding: 20px;
}
div#contact {
    min-height: 100vh;
}
form.contact {width: 100%;}
form.contact input[type=text], select, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
}
form.contact input[type=submit] {
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
form.contact textarea#message {
    height: 250px;
}

/* ///////////////////////////////////////////////////////////////////////// Responsive */

@media screen {
    /* General */
    body {margin-left: calc(50vw - 700px);}
    /* Titlecard */
    div.slide.titlecard {min-height: 330px;}
    div.slide.titlecard > div.title {
        margin-top: -100px;
        margin-bottom: 5px;
    }
    div.slide.titlecard > div.title > div.logo {
        width: 100px;
        height: 200px;
        margin: 0px 50px;
    }
    div.slide.titlecard > div.title > div {font-size: 150px;}
    /* Navigation */
    div.titlecard nav {padding-top: 10px;}
    div.titlecard nav a {
        font-size: 18px;
        line-height: 60px;
    }
    /* Social */
    div.social {
        bottom: 30px;
        right: 30px;
    }
    div.social i {font-size: 30px;}
    /* Column */
    div.column {
        width: 50%;
        display: inline-block;
    }
}

@media screen and (max-width: 1400px) {
    /* General */
    body {margin-left: 0;}
}

@media screen and (max-width: 1200px) {
    /* Titlecard */
    div.slide.titlecard {min-height: 280px;}
    div.slide.titlecard > div.title {margin-top: -80px;}
    div.slide.titlecard > div.title > div.logo {
        width: 80px;
        height: 160px;
        margin: 0px 40px;
    }
    div.slide.titlecard > div.title > div {font-size: 120px;}
    /* Navigation */
    div.titlecard nav {padding-top: 0px;}
    div.titlecard nav a {
        font-size: 15px;
        line-height: 55px;
    }
}

@media screen and (max-width: 1000px) {
    /* Titlecard */
    div.slide.titlecard {min-height: 260px;}
    div.slide.titlecard > div.title {margin-top: -70px;}
    div.slide.titlecard > div.title > div.logo {
        width: 65px;
        height: 130px;
        margin: 0px 35px;
    }
    div.slide.titlecard > div.title > div {font-size: 100px;}
    /* Navigation */
    div.titlecard nav a {
        font-size: 14px;
        line-height: 50px;
    }
    /* Column */
    div.column {
        width: 100%;
        display: block;
    }
}

@media screen and (max-width: 800px) {
    /* Titlecard */
    div.slide.titlecard {min-height: 240px;}
    div.slide.titlecard > div.title {margin-top: -60px;}
    div.slide.titlecard > div.title > div.logo {
        width: 55px;
        height: 110px;
        margin: 0px 30px;
    }
    div.slide.titlecard > div.title > div {font-size: 80px;}
    /* Navigation */
    div.titlecard nav a {
        font-size: 13px;
        line-height: 45px;
    }
}

@media screen and (max-width: 650px) {
    /* Titlecard */
    div.slide.titlecard {min-height: 220px;}
    div.slide.titlecard > div.title {margin-top: -55px;}
    div.slide.titlecard > div.title > div.logo {
        width: 45px;
        height: 90px;
        margin: 0px 25px;
    }
    div.slide.titlecard > div.title > div {font-size: 60px;}
    /* Navigation */
    div.titlecard nav a {
        font-size: 12px;
        line-height: 40px;
    }
}

@media screen and (max-width: 500px) {
    /* Titlecard */
    div.slide.titlecard {min-height: 130px;}
    div.slide.titlecard > div.title {margin-top: -30px;}
    div.slide.titlecard > div.title > div.logo {
        width: 25px;
        height: 50px;
        margin: 0px 20px;
    }
    div.slide.titlecard > div.title > div {font-size: 35px;}
    /* Navigation */
    div.titlecard nav a {
        font-size: 11px;
        line-height: 35px;
    }
    /* Social */
    div.social {
        bottom: 20px;
        right: 20px;
    }
    div.social i {font-size: 20px;}
}